# Copyright 2022 Dechin Chen
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

""" Upload this project to pypi
$ python3 setup.py check
$ python3 setup.py sdist bdist_wheel
$ twine upload --repository-url https://upload.pypi.org/legacy/ dist/*
"""

from setuptools import setup, find_packages
from pathlib import Path

this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

setup(
    name="hadder",
    version="2.0",
    description="Hydrogen adder for pdb protein files",
    long_description=long_description,
    long_description_content_type='text/markdown',
    license="Apache 2.0 Licence",

    url="https://gitee.com/dechin/hadder",
    author="Dechin CHEN",
    author_email="dechin.phy@gmail.com",
    packages=find_packages(exclude=["tests", "examples"]),
    install_requires=open('requirements.txt', 'r').readlines(),
    platforms="any",
    scripts=[],
    include_package_data=True
)
